# The xvfb tests sometimes hang in koji.
%bcond_with xvfb_tests

Summary:        Store and access your passwords safely
Name:           python-keyring
Version:        24.2.0
Release:        1%{?dist}
License:        MIT OR Python-2.0.1
URL:            https://github.com/jaraco/keyring
Source0:        %{pypi_source keyring}


BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  xorg-x11-server-Xvfb python3-gobject libsecret
BuildRequires:  gnome-keyring /usr/bin/dbus-launch

BuildArch:      noarch


%description
The Python keyring library provides an easy way to
access the system keyring service from python. It
can be used in any application that needs safe
password storage.

%package -n     python3-keyring
Summary:        Python 3 library to access the system keyring service

%description -n python3-keyring
The Python keyring library provides an easy way to
access the system keyring service from python. It
can be used in any application that needs safe
password storage.

%prep
%autosetup -n keyring-%{version}

# fix shebang
sed -r -i '1{/^#!/d}' keyring/cli.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files keyring
ln -s keyring %{buildroot}%{_bindir}/keyring-python3


%check
%if %{with xvfb_tests}
%global __pytest /usr/bin/xvfb-run -a /usr/bin/pytest
%endif
%pytest


%files -n python3-keyring -f %{pyproject_files}
%doc README.rst
%{_bindir}/keyring-python3
%{_bindir}/keyring


%changelog
* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - 24.2.0-1
- update to 24.2.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.11.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.11.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 14 2023 Shuo Wang <abushwang@tencent.com> - 23.11.0-3
- by pass xvfb tests for koji

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.11.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Dec 22 2022 Miaojun Dong <zoedong@tencent.com> - 23.11.0-1
- initial build
